This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 159308 - Unitize OOM errors reporting
Unitize OOM errors reporting
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-01 12:21 EDT by Dmitry V. Levin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-01 14:55:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
strace-4.5.11-alt-oom.patch (7.46 KB, patch)
2005-06-01 12:22 EDT, Dmitry V. Levin
no flags Details | Diff

  None (edit)
Description Dmitry V. Levin 2005-06-01 12:21:15 EDT
As of cvs snapshot 20050526, strace behaves differently in "out of memory" condition.  Sometimes it outputs error via tprintf, sometimes - via fprintf(stderr).  Sometimes it stops to decode arguments, sometimes not.
I suggest to normalize this somehow.
Comment 1 Dmitry V. Levin 2005-06-01 12:22:57 EDT
Created attachment 115036 [details]
strace-4.5.11-alt-oom.patch

Proposed change.
Comment 2 Roland McGrath 2005-06-01 14:55:29 EDT
Looks good, thanks for the patch.  I've put it in upstream.

Note You need to log in before you can comment on or make changes to this bug.